View Issue Details

IDProjectCategoryView StatusLast Update
0003266SketcherBugpublic2017-11-25 11:36
ReportersebsteAssigned Towmayer 
PriorityhighSeveritycrashReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSLinux Mint OS Version18.2 Sonya
Product Version0.17 
Target Version0.17Fixed in Version0.17 
Summary0003266: Bug: Sketcher makes FreeCAD crash as soon as a tool is selected
DescriptionSelecting a tool inside sketcher makes the application crash.
Steps To ReproduceSteps to reproduce:
1.) load sketcher workbench or part design workbench
2. create new file
3.) create sketch
4.) select plane
5.) click on any tool, for instance the rectangle
6.) FreeCAD crashes
Additional InformationSee attached Logfile
TagsSketch, sketcher

Relationships

has duplicate 0003267 closed FreeCAD Sketcher makes FreeCAD crash as soon as a tool is selected 

Activities

sebste

2017-11-20 19:03

reporter  

freecad-daily-log.txt (24,226 bytes)
 
FreeCAD 0.17, Libs: 0.17R12619 (Git)
© Juergen Riegel, Werner Mayer, Yorik van Havre 2001-2017
  #####                 ####  ###   ####  
  #                    #      # #   #   # 
  #     ##  #### ####  #     #   #  #   # 
  ####  # # #  # #  #  #     #####  #   # 
  #     #   #### ####  #    #     # #   # 
  #     #   #    #     #    #     # #   #  ##  ##  ##
  #     #   #### ####   ### #     # ####   ##  ##  ##

QInotifyFileSystemWatcherEngine::addPaths: inotify_add_watch failed: No such file or directory
not a freecad file: .STL
not a freecad file: .SVG
*** buffer overflow detected ***: freecad-daily terminated
======= Backtrace: =========
/lib/x86_64-linux-gnu/libc.so.6(+0x777e5)[0x7f865a6aa7e5]
/lib/x86_64-linux-gnu/libc.so.6(__fortify_fail+0x5c)[0x7f865a74c11c]
/lib/x86_64-linux-gnu/libc.so.6(+0x117120)[0x7f865a74a120]
/lib/x86_64-linux-gnu/libc.so.6(+0x116689)[0x7f865a749689]
/lib/x86_64-linux-gnu/libc.so.6(_IO_default_xsputn+0x80)[0x7f865a6ae6b0]
/lib/x86_64-linux-gnu/libc.so.6(+0x4bb0d)[0x7f865a67eb0d]
/lib/x86_64-linux-gnu/libc.so.6(_IO_vfprintf+0x336)[0x7f865a6804a6]
/lib/x86_64-linux-gnu/libc.so.6(__vsprintf_chk+0x84)[0x7f865a749714]
/lib/x86_64-linux-gnu/libc.so.6(__sprintf_chk+0x7d)[0x7f865a74966d]
/usr/lib/freecad-daily/lib/SketcherGui.so(_ZN11SketcherGui17DrawSketchHandler17setCrosshairColorEv+0x70)[0x7f85e02180d0]
/usr/lib/freecad-daily/lib/SketcherGui.so(_ZN20DrawSketchHandlerBox9activatedEPN11SketcherGui18ViewProviderSketchE+0x1e)[0x7f85e023834e]
/usr/lib/freecad-daily/lib/SketcherGui.so(_Z15ActivateHandlerPN3Gui8DocumentEPN11SketcherGui17DrawSketchHandlerE+0xb6)[0x7f85e021b646]
/usr/lib/freecad-daily/lib/libFreeCADGui.so(_ZN3Gui7Command6invokeEi+0x7c)[0x7f865d2ed9bc]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iPPv+0x4d0)[0x7f865b141f80]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN7QAction9triggeredEb+0x42)[0x7f865b659d62]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN7QAction8activateENS_11ActionEventE+0x83)[0x7f865b65b0b3]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x5a0cd3)[0x7f865ba3bcd3]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN15QAbstractButton17mouseReleaseEventEP11QMouseEvent+0x74)[0x7f865ba3be24]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN11QToolButton17mouseReleaseEventEP11QMouseEvent+0xa)[0x7f865bb01dea]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN7QWidget5eventEP6QEvent+0x2a0)[0x7f865b6b68d0]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent+0x8c)[0x7f865b65ffdc]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN12QApplication6notifyEP7QObjectP6QEvent+0x476)[0x7f865b6670d6]
/usr/lib/freecad-daily/lib/libFreeCADGui.so(_ZN3Gui14GUIApplication6notifyEP7QObjectP6QEvent+0x54)[0x7f865d2c8774]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x8d)[0x7f865b12d8bd]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN19QApplicationPrivate14sendMouseEventEP7QWidgetP11QMouseEventS1_S1_PS1_R8QPointerIS0_Eb+0x14d)[0x7f865b6666dd]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x2493f2)[0x7f865b6e43f2]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN12QApplication15x11ProcessEventEP7_XEvent+0x16b3)[0x7f865b6e3c83]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x272542)[0x7f865b70d542]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x2a7)[0x7f8653d25197]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x4a3f0)[0x7f8653d253f0]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x2c)[0x7f8653d2549c]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x7e)[0x7f865b15e21e]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x272616)[0x7f865b70d616]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x3f)[0x7f865b12c13f]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0x1b5)[0x7f865b12c4a5]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication4execEv+0x99)[0x7f865b132469]
/usr/lib/freecad-daily/lib/libFreeCADGui.so(_ZN3Gui11Application14runApplicationEv+0x15b0)[0x7f865d2815b0]
freecad-daily(main+0x8fb)[0x40365b]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf0)[0x7f865a653830]
freecad-daily(_start+0x29)[0x404819]
======= Memory map: ========
00400000-00407000 r-xp 00000000 08:01 3547644                            /usr/lib/freecad-daily/bin/FreeCAD
00606000-00607000 r--p 00006000 08:01 3547644                            /usr/lib/freecad-daily/bin/FreeCAD
00607000-00608000 rw-p 00007000 08:01 3547644                            /usr/lib/freecad-daily/bin/FreeCAD
01d04000-0490e000 rw-p 00000000 00:00 0                                  [heap]
7f85cc000000-7f85cc021000 rw-p 00000000 00:00 0 
7f85cc021000-7f85d0000000 ---p 00000000 00:00 0 
7f85d376b000-7f85d3a83000 r-xp 00000000 08:01 3541451                    /usr/lib/freecad-daily/lib/PartGui.so
7f85d3a83000-7f85d3c82000 ---p 00318000 08:01 3541451                    /usr/lib/freecad-daily/lib/PartGui.so
7f85d3c82000-7f85d3c97000 r--p 00317000 08:01 3541451                    /usr/lib/freecad-daily/lib/PartGui.so
7f85d3c97000-7f85d3c9c000 rw-p 0032c000 08:01 3541451                    /usr/lib/freecad-daily/lib/PartGui.so
7f85d3c9c000-7f85d3c9d000 rw-p 00000000 00:00 0 
7f85d3ca3000-7f85d3df2000 r-xp 00000000 08:01 3541459                    /usr/lib/freecad-daily/lib/Sketcher.so
7f85d3df2000-7f85d3ff1000 ---p 0014f000 08:01 3541459                    /usr/lib/freecad-daily/lib/Sketcher.so
7f85d3ff1000-7f85d3ff6000 r--p 0014e000 08:01 3541459                    /usr/lib/freecad-daily/lib/Sketcher.so
7f85d3ff6000-7f85d3ffa000 rw-p 00153000 08:01 3541459                    /usr/lib/freecad-daily/lib/Sketcher.so
7f85d3ffa000-7f85d3ffb000 rw-p 00000000 00:00 0 
7f85d4000000-7f85d409f000 rw-p 00000000 00:00 0 
7f85d409f000-7f85d8000000 ---p 00000000 00:00 0 
7f85d8000000-7f85d8025000 rw-p 00000000 00:00 0 
7f85d8025000-7f85dc000000 ---p 00000000 00:00 0 
7f85dc000000-7f85dc037000 rw-p 00000000 00:00 0 
7f85dc037000-7f85e0000000 ---p 00000000 00:00 0 
7f85e0082000-7f85e0182000 rw-s 10d75f000 00:06 14047                     /dev/dri/card0
7f85e0183000-7f85e04aa000 r-xp 00000000 08:01 3541480                    /usr/lib/freecad-daily/lib/SketcherGui.so
7f85e04aa000-7f85e06a9000 ---p 00327000 08:01 3541480                    /usr/lib/freecad-daily/lib/SketcherGui.so
7f85e06a9000-7f85e06b4000 r--p 00326000 08:01 3541480                    /usr/lib/freecad-daily/lib/SketcherGui.so
7f85e06b4000-7f85e06ba000 rw-p 00331000 08:01 3541480                    /usr/lib/freecad-daily/lib/SketcherGui.so
7f85e06bb000-7f85e071e000 rw-s 00000000 00:05 16547852                   /SYSV00000000 (deleted)
7f85e0724000-7f85e0824000 rw-s 105a69000 00:06 14047                     /dev/dri/card0
7f85e082b000-7f85e0830000 r-xp 00000000 08:01 6034141                    /lib/x86_64-linux-gnu/libnss_dns-2.23.so
7f85e0830000-7f85e0a30000 ---p 00005000 08:01 6034141                    /lib/x86_64-linux-gnu/libnss_dns-2.23.so
7f85e0a30000-7f85e0a31000 r--p 00005000 08:01 6034141                    /lib/x86_64-linux-gnu/libnss_dns-2.23.so
7f85e0a31000-7f85e0a32000 rw-p 00006000 08:01 6034141                    /lib/x86_64-linux-gnu/libnss_dns-2.23.so
7f85e0a33000-7f85e0a35000 r-xp 00000000 08:01 6033945                    /lib/x86_64-linux-gnu/libnss_mdns4_minimal.so.2
7f85e0a35000-7f85e0c34000 ---p 00002000 08:01 6033945                    /lib/x86_64-linux-gnu/libnss_mdns4_minimal.so.2
7f85e0c34000-7f85e0c35000 r--p 00001000 08:01 6033945                    /lib/x86_64-linux-gnu/libnss_mdns4_minimal.so.2
7f85e0c35000-7f85e0c36000 rw-p 00002000 08:01 6033945                    /lib/x86_64-linux-gnu/libnss_mdns4_minimal.so.2
7f85e0c3b000-7f85e0c52000 r-xp 00000000 08:01 6034154                    /lib/x86_64-linux-gnu/libresolv-2.23.so
7f85e0c52000-7f85e0e52000 ---p 00017000 08:01 6034154                    /lib/x86_64-linux-gnu/libresolv-2.23.so
7f85e0e52000-7f85e0e53000 r--p 00017000 08:01 6034154                    /lib/x86_64-linux-gnu/libresolv-2.23.so
7f85e0e53000-7f85e0e54000 rw-p 00018000 08:01 6034154                    /lib/x86_64-linux-gnu/libresolv-2.23.so
7f85e0e54000-7f85e0e56000 rw-p 00000000 00:00 0 
7f85e0e5a000-7f85e0e5b000 ---p 00000000 00:00 0 
7f85e0e5b000-7f85e165b000 rw-p 00000000 00:00 0 
7f85e165b000-7f85e165c000 ---p 00000000 00:00 0 
7f85e165c000-7f85e1e5c000 rw-p 00000000 00:00 0 
7f85e1e5c000-7f85e1e5d000 ---p 00000000 00:00 0 
7f85e1e5d000-7f85e2c43000 rw-p 00000000 00:00 0 
7f85e2c43000-7f85e33b3000 rw-s 00000000 00:05 16515083                   /SYSV00000000 (deleted)
7f85e33b3000-7f85e33e4000 r-xp 00000000 08:01 120982563                  /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqnmbearer.so
7f85e33e4000-7f85e35e3000 ---p 00031000 08:01 120982563                  /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqnmbearer.so
7f85e35e3000-7f85e35e4000 r--p 00030000 08:01 120982563                  /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqnmbearer.so
7f85e35e4000-7f85e35e5000 rw-p 00031000 08:01 120982563                  /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqnmbearer.so
7f85e35eb000-7f85e35fa000 r-xp 00000000 08:01 120982562                  /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqgenericbearer.so
7f85e35fa000-7f85e37fa000 ---p 0000f000 08:01 120982562                  /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqgenericbearer.so
7f85e37fa000-7f85e37fb000 r--p 0000f000 08:01 120982562                  /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqgenericbearer.so
7f85e37fb000-7f85e37fc000 rw-p 00010000 08:01 120982562                  /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqgenericbearer.so
7f85e37ff000-7f85e3800000 ---p 00000000 00:00 0 
7f85e3800000-7f85e4000000 rw-p 00000000 00:00 0 
7f85e4000000-7f85e4021000 rw-p 00000000 00:00 0 
7f85e4021000-7f85e8000000 ---p 00000000 00:00 0 
7f85e8003000-7f85e800c000 r--p 00000000 08:01 788913                     /usr/share/fonts/X11/Type1/c0648bt_.pfb
7f85e8011000-7f85e8015000 rw-s 105b9e000 00:06 14047                     /dev/dri/card0
7f85e8019000-7f85e801d000 rw-s 11131e000 00:06 14047                     /dev/dri/card0
7f85e8021000-7f85e8025000 rw-s 111316000 00:06 14047                     /dev/dri/card0
7f85e802b000-7f85e803b000 rw-s 105b88000 00:06 14047                     /dev/dri/card0
7f85e8042000-7f85e8052000 rw-s 105b77000 00:06 14047                     /dev/dri/card0
7f85e8056000-7f85e8066000 rw-s 109203000 00:06 14047                     /dev/dri/card0
7f85e806d000-7f85e816d000 rw-p 00000000 00:00 0 
7f85e8177000-7f85e8187000 rw-s 10db3c000 00:06 14047                     /dev/dri/card0
7f85e818c000-7f85e81ab000 rw-p 00000000 00:00 0 
7f85e81ab000-7f85e81ed000 r-xp 00000000 08:01 120982561                  /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqconnmanbearer.so
7f85e81ed000-7f85e83ed000 ---p 00042000 08:01 120982561                  /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqconnmanbearer.so
7f85e83ed000-7f85e83ef000 r--p 00042000 08:01 120982561                  /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqconnmanbearer.so
7f85e83ef000-7f85e83f0000 rw-p 00044000 08:01 120982561                  /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqconnmanbearer.so
7f85e83f3000-7f85e8437000 r--p 00000000 08:01 92017376                   /home/sebste/.fonts/a/arial.ttf
7f85e8438000-7f85e8538000 rw-p 00000000 00:00 0 
7f85e8538000-7f85e8a4f000 rw-p 00000000 00:00 0 
7f85e8a4f000-7f85e8a50000 ---p 00000000 00:00 0 
7f85e8a50000-7f85e9250000 rw-p 00000000 00:00 0 
7f85e9250000-7f85e9251000 ---p 00000000 00:00 0 
7f85e9251000-7f8629251000 rwxp 00000000 00:00 0 
7f8629251000-7f8629252000 ---p 00000000 00:00 0 
7f8629252000-7f8629352000 rw-p 00000000 00:00 0 
7f8629352000-7f8629353000 ---p 00000000 00:00 0 
7f8629353000-7f8629b53000 rw-p 00000000 00:00 0 
7f8629b53000-7f8629bb1000 r-xp 00000000 08:01 6034308                    /lib/x86_64-linux-gnu/libssl.so.1.0.0
7f8629bb1000-7f8629db1000 ---p 0005e000 08:01 6034308                    /lib/x86_64-linux-gnu/libssl.so.1.0.0
7f8629db1000-7f8629db5000 r--p 0005e000 08:01 6034308                    /lib/x86_64-linux-gnu/libssl.so.1.0.0
7f8629db5000-7f8629dbc000 rw-p 00062000 08:01 6034308                    /lib/x86_64-linux-gnu/libssl.so.1.0.0
7f8629dc3000-7f8629dd8000 r-xp 00000000 08:01 120724088                  /usr/lib/python2.7/lib-dynload/_ssl.x86_64-linux-gnu.so
7f8629dd8000-7f8629fd7000 ---p 00015000 08:01 120724088                  /usr/lib/python2.7/lib-dynload/_ssl.x86_64-linux-gnu.so
7f8629fd7000-7f8629fd8000 r--p 00014000 08:01 120724088                  /usr/lib/python2.7/lib-dynload/_ssl.x86_64-linux-gnu.so
7f8629fd8000-7f8629fdc000 rw-p 00015000 08:01 120724088                  /usr/lib/python2.7/lib-dynload/_ssl.x86_64-linux-gnu.so
7f8629fe3000-7f8629fe9000 r-xp 00000000 08:01 3541462                    /usr/lib/freecad-daily/lib/Start.so
7f8629fe9000-7f862a1e9000 ---p 00006000 08:01 3541462                    /usr/lib/freecad-daily/lib/Start.so
7f862a1e9000-7f862a1ea000 r--p 00006000 08:01 3541462                    /usr/lib/freecad-daily/lib/Start.so
7f862a1ea000-7f862a1eb000 rw-p 00007000 08:01 3541462                    /usr/lib/freecad-daily/lib/Start.so
7f862a1eb000-7f862a23e000 r-xp 00000000 08:01 3541460                    /usr/lib/freecad-daily/lib/WebGui.so
7f862a23e000-7f862a43e000 ---p 00053000 08:01 3541460                    /usr/lib/freecad-daily/lib/WebGui.so
7f862a43e000-7f862a440000 r--p 00053000 08:01 3541460                    /usr/lib/freecad-daily/lib/WebGui.so
7f862a440000-7f862a441000 rw-p 00055000 08:01 3541460                    /usr/lib/freecad-daily/lib/WebGui.so
7f862a443000-7f862a4b0000 r-xp 00000000 08:01 3541455                    /usr/lib/freecad-daily/lib/StartGui.so
7f862a4b0000-7f862a6b0000 ---p 0006d000 08:01 3541455                    /usr/lib/freecad-daily/lib/StartGui.so
7f862a6b0000-7f862a6b1000 r--p 0006d000 08:01 3541455                    /usr/lib/freecad-daily/lib/StartGui.so
7f862a6b1000-7f862a6b2000 rw-p 0006e000 08:01 3541455                    /usr/lib/freecad-daily/lib/StartGui.so
7f862a6b9000-7f862abdb000 rw-p 00000000 00:00 0 
7f862abdb000-7f862abe4000 r-xp 00000000 08:01 120982577                  /usr/lib/x86_64-linux-gnu/qt4/plugins/iconengines/libqsvgicon.so
7f862abe4000-7f862ade3000 ---p 00009000 08:01 120982577                  /usr/lib/x86_64-linux-gnu/qt4/plugins/iconengines/libqsvgicon.so
7f862ade3000-7f862ade4000 r--p 00008000 08:01 120982577                  /usr/lib/x86_64-linux-gnu/qt4/plugins/iconengines/libqsvgicon.so
7f862ade4000-7f862ade5000 rw-p 00009000 08:01 120982577                  /usr/lib/x86_64-linux-gnu/qt4/plugins/iconengines/libqsvgicon.so
7f862adea000-7f862b6c3000 rw-p 00000000 00:00 0 
7f862b6c3000-7f862bfdd000 r-xp 00000000 08:01 3539528                    /usr/lib/python2.7/dist-packages/pivy/_coin.x86_64-linux-gnu.so
7f862bfdd000-7f862c1dd000 ---p 0091a000 08:01 3539528                    /usr/lib/python2.7/dist-packages/pivy/_coin.x86_64-linux-gnu.so
7f862c1dd000-7f862c1de000 r--p 0091a000 08:01 3539528                    /usr/lib/python2.7/dist-packages/pivy/_coin.x86_64-linux-gnu.so
7f862c1de000-7f862c295000 rw-p 0091b000 08:01 3539528                    /usr/lib/python2.7/dist-packages/pivy/_coin.x86_64-linux-gnu.so
7f862c295000-7f862c298000 rw-p 00000000 00:00 0 
7f862c29a000-7f862d11b000 rw-p 00000000 00:00 0 
7f862d11b000-7f862dc11000 r-xp 00000000 08:01 3539504                    /usr/lib/python2.7/dist-packages/PySide/QtGui.so
7f862dc11000-7f862de10000 ---p 00af6000 08:01 3539504                    /usr/lib/python2.7/dist-packages/PySide/QtGui.so
7f862de10000-7f862de25000 r--p 00af5000 08:01 3539504                    /usr/lib/python2.7/dist-packages/PySide/QtGui.so
7f862de25000-7f862dec7000 rw-p 00b0a000 08:01 3539504                    /usr/lib/python2.7/dist-packages/PySide/QtGui.so
7f862dec7000-7f862decd000 rw-p 00000000 00:00 0 
7f862ded3000-7f862e013000 rw-p 00000000 00:00 0 
7f862e013000-7f862e03d000 r-xp 00000000 08:01 120590367                  /usr/lib/x86_64-linux-gnu/libpyside-python2.7.so.1.2.2
7f862e03d000-7f862e23c000 ---p 0002a000 08:01 120590367                  /usr/lib/x86_64-linux-gnu/libpyside-python2.7.so.1.2.2
7f862e23c000-7f862e23d000 r--p 00029000 08:01 120590367                  /usr/lib/x86_64-linux-gnu/libpyside-python2.7.so.1.2.2
7f862e23d000-7f862e23f000 rw-p 0002a000 08:01 120590367                  /usr/lib/x86_64-linux-gnu/libpyside-python2.7.so.1.2.2
7f862e243000-7f862e4cd000 r-xp 00000000 08:01 3539501                    /usr/lib/python2.7/dist-packages/PySide/QtCore.so
7f862e4cd000-7f862e6cd000 ---p 0028a000 08:01 3539501                    /usr/lib/python2.7/dist-packages/PySide/QtCore.so
7f862e6cd000-7f862e6d0000 r--p 0028a000 08:01 3539501                    /usr/lib/python2.7/dist-packages/PySide/QtCore.so
7f862e6d0000-7f862e700000 rw-p 0028d000 08:01 3539501                    /usr/lib/python2.7/dist-packages/PySide/QtCore.so
7f862e700000-7f862e703000 rw-p 00000000 00:00 0 
7f862e703000-7f862e977000 r-xp 00000000 08:01 120599078                  /usr/lib/x86_64-linux-gnu/libTKSTEPBase.so.7.1.0
7f862e977000-7f862eb77000 ---p 00274000 08:01 120599078                  /usr/lib/x86_64-linux-gnu/libTKSTEPBase.so.7.1.0
7f862eb77000-7f862eb85000 r--p 00274000 08:01 120599078                  /usr/lib/x86_64-linux-gnu/libTKSTEPBase.so.7.1.0
7f862eb85000-7f862eb86000 rw-p 00282000 08:01 120599078                  /usr/lib/x86_64-linux-gnu/libTKSTEPBase.so.7.1.0
7f862eb86000-7f862eb89000 rw-p 00000000 00:00 0 
7f862eb8b000-7f862ec29000 r-xp 00000000 08:01 120599084                  /usr/lib/x86_64-linux-gnu/libTKSTEP209.so.7.1.0
7f862ec29000-7f862ee29000 ---p 0009e000 08:01 120599084                  /usr/lib/x86_64-linux-gnu/libTKSTEP209.so.7.1.0
7f862ee29000-7f862ee2d000 r--p 0009e000 08:01 120599084                  /usr/lib/x86_64-linux-gnu/libTKSTEP209.so.7.1.0
7f862ee2d000-7f862ee2e000 rw-p 000a2000 08:01 120599084                  /usr/lib/x86_64-linux-gnu/libTKSTEP209.so.7.1.0
7f862ee33000-7f862ef20000 r-xp 00000000 08:01 120599081                  /usr/lib/x86_64-linux-gnu/libTKSTEPAttr.so.7.1.0
7f862ef20000-7f862f120000 ---p 000ed000 08:01 120599081                  /usr/lib/x86_64-linux-gnu/libTKSTEPAttr.so.7.1.0
7f862f120000-7f862f126000 r--p 000ed000 08:01 120599081                  /usr/lib/x86_64-linux-gnu/libTKSTEPAttr.so.7.1.0
7f862f126000-7f862f127000 rw-p 000f3000 08:01 120599081                  /usr/lib/x86_64-linux-gnu/libTKSTEPAttr.so.7.1.0
7f862f127000-7f862f128000 rw-p 00000000 00:00 0 
7f862f12b000-7f862f144000 r-xp 00000000 08:01 120597337                  /usr/lib/x86_64-linux-gnu/libtbbmalloc.so.2
7f862f144000-7f862f343000 ---p 00019000 08:01 120597337                  /usr/lib/x86_64-linux-gnu/libtbbmalloc.so.2
7f862f343000-7f862f344000 r--p 00018000 08:01 120597337                  /usr/lib/x86_64-linux-gnu/libtbbmalloc.so.2
7f862f344000-7f862f346000 rw-p 00019000 08:01 120597337                  /usr/lib/x86_64-linux-gnu/libtbbmalloc.so.2
7f862f346000-7f862f369000 rw-p 00000000 00:00 0 
7f862f36b000-7f862f3a2000 r-xp 00000000 08:01 120597336                  /usr/lib/x86_64-linux-gnu/libtbb.so.2
7f862f3a2000-7f862f5a2000 ---p 00037000 08:01 120597336                  /usr/lib/x86_64-linux-gnu/libtbb.so.2
7f862f5a2000-7f862f5a3000 r--p 00037000 08:01 120597336                  /usr/lib/x86_64-linux-gnu/libtbb.so.2
7f862f5a3000-7f862f5a5000 rw-p 00038000 08:01 120597336                  /usr/lib/x86_64-linux-gnu/libtbb.so.2
7f862f5a5000-7f862f5a8000 rw-p 00000000 00:00 0 
7f862f5ab000-7f862f6cf000 r-xp 00000000 08:01 120599018                  /usr/lib/x86_64-linux-gnu/libTKFeat.so.7.1.0
7f862f6cf000-7f862f8ce000 ---p 00124000 08:01 120599018                  /usr/lib/x86_64-linux-gnu/libTKFeat.so.7.1.0
7f862f8ce000-7f862f8d1000 r--p 00123000 08:01 120599018                  /usr/lib/x86_64-linux-gnu/libTKFeat.so.7.1.0
7f862f8d1000-7f862f8d3000 rw-p 00126000 08:01 120599018                  /usr/lib/x86_64-linux-gnu/libTKFeat.so.7.1.0
7f862f8d3000-7f862fbe9000 r-xp 00000000 08:01 120599088                  /usr/lib/x86_64-linux-gnu/libTKSTEP.so.7.1.0
7f862fbe9000-7f862fde9000 ---p 00316000 08:01 120599088                  /usr/lib/x86_64-linux-gnu/libTKSTEP.so.7.1.0
7f862fde9000-7f862fdf2000 r--p 00316000 08:01 120599088                  /usr/lib/x86_64-linux-gnu/libTKSTEP.so.7.1.0
7f862fdf2000-7f862fdfb000 rw-p 0031f000 08:01 120599088                  /usr/lib/x86_64-linux-gnu/libTKSTEP.so.7.1.0
7f862fdfb000-7f862fdfe000 rw-p 00000000 00:00 0 
7f862fe03000-7f862fe5a000 r-xp 00000000 08:01 120599025                  /usr/lib/x86_64-linux-gnu/libTKPrim.so.7.1.0
7f862fe5a000-7f863005a000 ---p 00057000 08:01 120599025                  /usr/lib/x86_64-linux-gnu/libTKPrim.so.7.1.0
7f863005a000-7f863005c000 r--p 00057000 08:01 120599025                  /usr/lib/x86_64-linux-gnu/libTKPrim.so.7.1.0
7f863005c000-7f863005d000 rw-p 00059000 08:01 120599025                  /usr/lib/x86_64-linux-gnu/libTKPrim.so.7.1.0
7f8630063000-7f86301b8000 r-xp 00000000 08:01 120599019                  /usr/lib/x86_64-linux-gnu/libTKOffset.so.7.1.0
7f86301b8000-7f86303b7000 ---p 00155000 08:01 120599019                  /usr/lib/x86_64-linux-gnu/libTKOffset.so.7.1.0
7f86303b7000-7f86303bb000 r--p 00154000 08:01 120599019                  /usr/lib/x86_64-linux-gnu/libTKOffset.so.7.1.0
7f86303bb000-7f86303bd000 rw-p 00158000 08:01 120599019                  /usr/lib/x86_64-linux-gnu/libTKOffset.so.7.1.0
7f86303c3000-7f8630860000 r-xp 00000000 08:01 120599009                  /usr/lib/x86_64-linux-gnu/libTKGeomBase.so.7.1.0
7f8630860000-7f8630a60000 ---p 0049d000 08:01 120599009                  /usr/lib/x86_64-linux-gnu/libTKGeomBase.so.7.1.0
7f8630a60000-7f8630a66000 r--p 0049d000 08:01 120599009                  /usr/lib/x86_64-linux-gnu/libTKGeomBase.so.7.1.0
7f8630a66000-7f8630aa8000 rw-p 004a3000 08:01 120599009                  /usr/lib/x86_64-linux-gnu/libTKGeomBase.so.7.1.0
7f8630aa8000-7f8630aad000 rw-p 00000000 00:00 0 
7f8630ab3000-7f8630fe7000 r-xp 00000000 08:01 120599020                  /usr/lib/x86_64-linux-gnu/libTKGeomAlgo.so.7.1.0
7f8630fe7000-7f86311e7000 ---p 00534000 08:01 120599020                  /usr/lib/x86_64-linux-gnu/libTKGeomAlgo.so.7.1.0
7f86311e7000-7f86311f0000 r--p 00534000 08:01 120599020                  /usr/lib/x86_64-linux-gnu/libTKGeomAlgo.so.7.1.0
7f86311f0000-7f86311f2000 rw-p 0053d000 08:01 120599020                  /usr/lib/x86_64-linux-gnu/libTKGeomAlgo.so.7.1.0
7f86311f2000-7f86311f3000 rw-p 00000000 00:00 0 
7f86311f3000-7f86314bb000 r-xp 00000000 08:01 120599024                  /usr/lib/x86_64-linux-gnu/libTKTopAlgo.so.7.1.0
7f86314bb000-7f86316bb000 ---p 002c8000 08:01 120599024                  /usr/lib/x86_64-linux-gnu/libTKTopAlgo.so.7.1.0
7f86316bb000-7f86316c1000 r--p 002c8000 08:01 120599024                  /usr/lib/x86_64-linux-gnu/libTKTopAlgo.so.7.1.0
7f86316c1000-7f86316c3000 rw-p 002ce000 08:01 120599024                  /usr/lib/x86_64-linux-gnu/libTKTopAlgo.so.7.1.0
7f86316c3000-7f86317aa000 r-xp 00000000 08:01 120599012                  /usr/lib/x86_64-linux-gnu/libTKBRep.so.7.1.0
7f86317aa000-7f86319a9000 ---p 000e7000 08:01 120599012                  /usr/lib/x86_64-linux-gnu/libTKBRep.so.7.1.0
7f86319a9000-7f86319ae000 r--p 000e6000 08:01 120599012                  /usr/lib/x86_64-linux-gnu/libTKBRep.so.7.1.0
7f86319ae000-7f86319af000 rw-p 000eb000 08:01 120599012                  /usr/lib/x86_64-linux-gnu/libTKBRep.so.7.1.0
7f86319af000-7f86319b0000 rw-p 00000000 00:00 0 
7f86319b3000-7f8631bd5000 r-xp 00000000 08:01 120599021                  /usr/lib/x86_64-linux-gnu/libTKBO.so.7.1.0
7f8631bd5000-7f8631dd4000 ---p 00222000 08:01 120599021                  /usr/lib/x86_64-linux-gnu/libTKBO.so.7.1.0
7f8631dd4000-7f8631ddc000 r--p 00221000 08:01 120599021                  /usr/lib/x86_64-linux-gnu/libTKBO.so.7.1.0
7f8631ddc000-7f8631dde000 rw-p 00229000 08:01 120599021                  /usr/lib/x86_64-linux-gnu/libTKBO.so.7.1.0Aborted
freecad-daily-log.txt (24,226 bytes)

sebste

2017-11-20 19:06

reporter   ~0010442

Last edited: 2017-11-20 19:06

View 2 revisions

See topic in Forum: https://forum.freecadweb.org/viewtopic.php?f=19&t=25454

MarcX

2017-11-23 10:44

reporter   ~0010459

Hi all,
I'm a newcomer to this site.

An important thing to notice is that if you you compile FreeCad with -DCMAKE_BUILD_TYPE=Debug, the bug seems to disappear.

I confirm the origin of the bug seems to be in commit:
c770ce7a343072dd2df74bf5b95ac4a114ce9213

HTH

OS: Linux Mint 17 Qiana
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.12624 (Git)
Build type: Debug
Branch: master
Hash: 8ea6b92ea98bced2fcef2d099dd3a6d50ec4290c
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17
Locale: French/France (fr_FR)

Kunda1

2017-11-25 11:35

administrator   ~0010469

Last edited: 2017-11-25 11:36

View 2 revisions

Bug fixed by @looo in http://github.com/FreeCAD/FreeCAD/commit/399dca7

Issue History

Date Modified Username Field Change
2017-11-20 19:03 sebste New Issue
2017-11-20 19:03 sebste File Added: freecad-daily-log.txt
2017-11-20 19:03 sebste Tag Attached: Sketch
2017-11-20 19:03 sebste Tag Attached: sketcher
2017-11-20 19:06 sebste Note Added: 0010442
2017-11-20 19:06 sebste Note Edited: 0010442 View Revisions
2017-11-21 01:15 Kunda1 Relationship added duplicate of 0003267
2017-11-21 01:42 Kunda1 Relationship replaced has duplicate 0003267
2017-11-21 08:08 wmayer Target Version => 0.17
2017-11-21 08:08 wmayer Steps to Reproduce Updated View Revisions
2017-11-23 10:44 MarcX Note Added: 0010459
2017-11-24 10:00 Kunda1 Status new => confirmed
2017-11-25 11:35 Kunda1 Note Added: 0010469
2017-11-25 11:36 Kunda1 Note Edited: 0010469 View Revisions
2017-11-25 11:36 Kunda1 Assigned To => wmayer
2017-11-25 11:36 Kunda1 Status confirmed => closed
2017-11-25 11:36 Kunda1 Resolution open => fixed
2017-11-25 11:36 Kunda1 Fixed in Version => 0.17